import io.gitlab.jfronny.scripts.*

plugins {
    id("jfmod") version "1.5-SNAPSHOT"
}

allprojects { group = "io.gitlab.jfronny" }
base.archivesName = "async-pack-scan"

jfMod {
    minecraftVersion = "1.20.2"
    yarn("build.1")
    loaderVersion = "0.14.22"
    libJfVersion = "3.13.1"

    modrinth {
        projectId = "async-pack-scan"
        requiredDependencies.add("libjf")
    }

    curseforge {
        projectId = "881560"
        requiredDependencies.add("libjf")
    }
}

loom {
    accessWidenerPath.set(file("src/client/resources/async-pack-scan.accesswidener"))
}

dependencies {
    modImplementation("io.gitlab.jfronny.libjf:libjf-base:${jfMod.libJfVersion.get()}")

    // For testing in dev environment
    modLocalRuntime("net.fabricmc.fabric-api:fabric-api:0.89.1+1.20.2")
    modLocalRuntime("io.gitlab.jfronny.libjf:libjf-devutil:${jfMod.libJfVersion.get()}")
    modLocalRuntime("com.terraformersmc:modmenu:8.0.0-beta.2")
}
